package com.sundot.airport.ledger.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sundot.airport.common.dto.LedgerCommonQueryReqVO;
import com.sundot.airport.common.dto.LedgerCommonResVO;
import com.sundot.airport.common.utils.DateUtils;
import com.sundot.airport.ledger.domain.LedgerSupervisionProblem;
import com.sundot.airport.ledger.mapper.LedgerSupervisionProblemMapper;
import com.sundot.airport.ledger.service.ILedgerSupervisionProblemService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 部门监察问题记录Service实现
 */
@Service
public class LedgerSupervisionProblemServiceImpl extends ServiceImpl<LedgerSupervisionProblemMapper, LedgerSupervisionProblem>
        implements ILedgerSupervisionProblemService {

    @Autowired
    private LedgerSupervisionProblemMapper mapper;

    @Override
    public List<LedgerSupervisionProblem> selectList(LedgerSupervisionProblem query) {
        return mapper.selectList(query);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public int batchInsert(List<LedgerSupervisionProblem> list) {
        list.forEach(item -> item.setCreateTime(DateUtils.getNowDate()));
        saveBatch(list);
        return list.size();
    }

    @Override
    public List<LedgerCommonResVO> supervisionProblemPosition(LedgerCommonQueryReqVO query) {
        return mapper.supervisionProblemPosition(query);
    }
}
